
Name:    digikamimageplugins
Summary: Plugins for Digikam
Version: 0.7.4
Release: 9%{?dist}

License: GPL
Group:   Applications/Multimedia
URL:     http://extragear.kde.org/apps/digikamimageplugins/ 
Source:  http://dl.sourceforge.net/sourceforge/digikam/digikamimageplugins-0.7.4.tar.bz2	
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Obsoletes: digikamplugins < %{version}

BuildRequires: gettext
BuildRequires: libxml2
BuildRequires: qt-devel >= 1:3.3
BuildRequires: kdelibs-devel >= 6:3.3
BuildRequires: digikam-devel >= %{version}
BuildRequires: digikam-devel <  0.8

Requires: digikam >= %{version}
Requires: ImageMagick 


%description
DigikamImagePlugins are a collection of plugins for digiKam Image 
Editor and showfoto (digiKam stand alone image editor implementation). 
These plugins add new image treatment options like color management, 
filters, or special effects.

Currently implemented plugins are listed below:
* Image improvements:
  o icon Adjust levels : a tool to adjust the photograph histogram levels 
    manually.
  o icon Adjust curves : a tool to adjust the photograph colors using curves.
  o icon Noise Reduction : a photograph noise reduction filter.
  o icon Unsharp : a photograph unsharp mask filter to unblur picture without
    increase noise.
  o icon Lens Distortion : a tool for correct lens spherical aberration on
    photograph.
  o icon Anti Vignetting : a tool for correct vignetting on photograph.
* Transformation tools:
  o icon Free Rotation : a plugin to rotate a photograph with a free angle
    in degrees.
  o icon Shear Tool : a plugin to shear a photograph horizontally and
    vertically.
  o icon Perpective Tool : a plugin to adjust the photograph perpective.
* Image tools:
  o icon Template Superimpose : a tool for superimpose a template on
    photograph.
  o icon Add Border : a tool for add border around a photograph.
* Special effects:
  o icon Solarize : a plugin to solarize a photograph.
  o icon Oil Paint : simulate oil painting on photograph .
  o icon Emboss : an effect filter to emboss photograph.
  o icon Rain Drops : adding the visual effect of raindrops on photograph.
  o icon Charcoal : simulate charcoal drawing on photograph.
  o icon FilmGrain : simulate film grain on photograph.


%prep
%setup -q -n %{name}-%{version}%{?beta:-%{beta}}


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include

%configure \
  --disable-rpath \
  %{?debug:  --enable-debug --enable-warnings } \
  %{!?debug: --disable-debug --disable-warnings --enable-final --disable-dependency-tracking }

make %{?_smp_mflags} 


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

## File lists
# locale's
for app_file in $RPM_BUILD_ROOT%{_datadir}/locale/*/LC_MESSAGES/*.mo ; do
   app=$(basename $app_file .mo)
   # don't repeat
   [ ! -f ${app}.lang ] && %find_lang ${app}
done
# HTML
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) %doc $HTML_DIR/$lang/*" >> %{name}.lang
  fi
done
fi

cat *.lang > %{name}.list


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:

%postun
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:


%files -f %{name}.list
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO
%{_libdir}/kde3/digikamimageplugin_*.*
%{_datadir}/apps/digikamimageplugins/
%{_datadir}/apps/digikam/
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/services/*.desktop


%changelog
* Fri Oct 28 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.7.4-9
- simplify file list
- Requires: digikam
- BR: digikam-devel < 0.8 (prep for 0.8)

* Sun Oct 23 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.7.4-7
- drop extraneous BR's (#171503)

* Sat Oct 22 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.7.4-6
- BR: libjpeg-devel (more missing digikam-devel deps)

* Sat Oct 22 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.7.4-5
- %%post,%%postun: gtk-update-icon-cache
- drop %%{?debug_package}
- drop CVS tags

* Sat Oct 22 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.7.4-4
- %%description: < 80 columns 
- BR: libkipi-devel, libkexif-devel, gphoto2-devel, imlib2-devel
  (workaround for digikam bug #171503)

* Sat Oct 22 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.7.4-3
- follow icon spec (touch icon theme dir)

* Sat Oct 22 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.7.4-2
- BR: gdbm-devel (workaround for digikam bug #171503)

* Thu Aug 18 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.7.4-1
- 0.7.4

* Thu Jul 07 2005 Rex Dieter 0:0.7.3-0.1.kde
- 0.7.3(final)

* Fri Apr 15 2005 Rex Dieter 0:0.7.3-0.0.beta1.kde
- 0.7.3-beta1

* Tue Mar 03 2005 Rex Dieter 0.7.2-1.0.kde
- 0.7.2 

* Tue Feb 08 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0:0.7.2-0.fdr.0.1.beta1
- 0.7.2-beta1

* Mon Jan 03 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0:0.7.1-0.fdr.0
- 0.7.1
- digikamimageplugins-0.7.1-imlib2.patch (kde bug #96251)

* Mon Nov 15 2004 Rex Dieter <rexdieter[AT]users.sf.net> 0:0.7-0.fdr.0
- 0.7

* Fri Jun 18 2004 Rex Dieter <rexdieter at sf.net. 0:0.6.2-0.fdr.0
- 0.6.2

* Wed Jun 02 2004 Rex Dieter <rexdieter at sf.net> 0:0.6.1-0.fdr.1
- opengl patch

* Sun Apr 04 2004 Rex Dieter <rexdieter at sf.net>
- kde-redhat'ize
- TODO: 0.6.1

* Mon Mar 22 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.6-0.fdr.2
- keep the *.la files (or else plugins won't be detected)

* Sat Mar 20 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.6-0.fdr.1
- Initial RPM release.
